std::__profile::deque< _Tp, _Allocator >(3cxx)

NAME
std::__profile::deque< _Tp, _Allocator > - Class std::deque wrapper with performance instrumentation.

SYNOPSIS

#include <deque>

Inherits deque< _Tp, std::allocator< _Tp > >.

  Public Types

typedef _Base::size_type size_type
typedef _Base::value_type value_type

  Public Member Functions

template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> deque (_InputIterator __first, _InputIterator __last, const _Allocator &__a=_Allocator())
deque (const _Allocator &__a)
deque (const _Base &__x)
deque (const deque &)=default
deque (const deque &__d, const _Allocator &__a)
deque (deque &&)=default
deque (deque &&__d, const _Allocator &__a)
deque (initializer_list< value_type > __l, const _Allocator &__a=_Allocator())
deque (size_type __n, const _Allocator &__a=_Allocator())
deque (size_type __n, const _Tp &__value, const _Allocator &__a=_Allocator())
const _Base & _M_base () const noexcept
_Base & _M_base () noexcept
deque & operator= (const deque &)=default
deque & operator= (deque &&)=default
deque & operator= (initializer_list< value_type > __l)
void swap (deque &__x) noexcept(/*conditional */)

Detailed Description

  template<typename _Tp, typename _Allocator = std::allocator<_Tp>>
class std::__profile::deque< _Tp, _Allocator >"Class std::deque wrapper with performance instrumentation.

Definition at line 40 of file profile/deque.

Member Typedef Documentation

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> typedef _Base::size_type std::__profile::deque< _Tp, _Allocator >::size_type

Definition at line 46 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> typedef _Base::value_type std::__profile::deque< _Tp, _Allocator >::value_type

Definition at line 47 of file profile/deque.

Constructor & Destructor Documentation

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> std::__profile::deque< _Tp, _Allocator >::deque (const deque< _Tp, _Allocator > & __d, const _Allocator & __a) [inline]

Definition at line 63 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> std::__profile::deque< _Tp, _Allocator >::deque (deque< _Tp, _Allocator > && __d, const _Allocator & __a) [inline]

Definition at line 66 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> std::__profile::deque< _Tp, _Allocator >::deque (initializer_list< value_type > __l, const _Allocator & __a = _Allocator()) [inline]

Definition at line 71 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> std::__profile::deque< _Tp, _Allocator >::deque (const _Allocator & __a) [inline], [explicit]

Definition at line 77 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> std::__profile::deque< _Tp, _Allocator >::deque (size_type __n, const _Allocator & __a = _Allocator()) [inline], [explicit]

Definition at line 82 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> std::__profile::deque< _Tp, _Allocator >::deque (size_type __n, const _Tp & __value, const _Allocator & __a = _Allocator()) [inline]

Definition at line 85 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> std::__profile::deque< _Tp, _Allocator >::deque (_InputIterator __first, _InputIterator __last, const _Allocator & __a = _Allocator()) [inline]

Definition at line 101 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> std::__profile::deque< _Tp, _Allocator >::deque (const _Base & __x) [inline]

Definition at line 106 of file profile/deque.

Member Function Documentation

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> const _Base & std::__profile::deque< _Tp, _Allocator >::_M_base () const [inline], [noexcept]

Definition at line 140 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> _Base & std::__profile::deque< _Tp, _Allocator >::_M_base () [inline], [noexcept]

Definition at line 137 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> deque & std::__profile::deque< _Tp, _Allocator >::operator= (initializer_list< value_type > __l) [inline]

Definition at line 124 of file profile/deque.

  template<typename _Tp , typename _Allocator = std::allocator<_Tp>> void std::__profile::deque< _Tp, _Allocator >::swap (deque< _Tp, _Allocator > & __x) [inline], [noexcept]

Definition at line 132 of file profile/deque.

Author

Generated automatically by Doxygen for libstdc++ from the source code.